Name: memtest86
Version: 3.0
Release: alt7

Summary: Memory test for x86 architecture
License: GPL
Group: System/Kernel and hardware

Url: http://www.memtest86.com
Source: %url/%name-%version.tar.bz2
Source1: memtest86.pm
Source2: memtest86-3.0-README.rover
Source3: memtest86-3.0-rover-tested_cpus.tar.gz
Patch: memtest86-3.0-rover-centrino+c3+amd.patch

ExclusiveArch: %ix86

PreReq: bootloader-utils

# Automatically added by buildreq on Wed Nov 26 2003
BuildRequires: cpp2.95 gcc2.95

BuildRequires: dev86
BuildRequires: bootloader-utils

Summary(ru_RU.KOI8-R):    x86-
Summary(uk_UA.KOI8-U):  'Ԧ  x86-Ȧ

%set_strip_method none

%description
Memtest86 is thorough, standalone memory test for x86 systems. Memtest86 is a
standalone program and can be loaded from either a disk partition via lilo or
a floppy disk. Memtest86 uses a "moving inversions" algorithm that is proven to
be effective in finding memory errors.  The BIOS based memory test is just a
quick check that will often miss many of the failures that are detected by
Memtest86.

%description -l ru_RU.KOI8-R
Memtest86 --       x86-.  
        LILO/GRUB,   .

   " ",   
   .     "" BIOS -- 
   ,       , 
 memtest86.

      -.

%description -l uk_UA.KOI8-U
Memtest86 --   Ԧ  'Ԧ  x86-. 
         LILO/GRUB, 
  .

 դ  " Ӧ",  צ 
Φ  Φ Ħ  '.   
 "" BIOS -- צ  Φ  ,    
 ϧ  ,   memtest86.

     ϧ
-.

%prep
%setup -q
%patch -p1

%build
# intentionally without optimizations
%__make CC=compat-gcc

%install
%__install -m644 -pD memtest.bin %buildroot/boot/memtest-%version.bin
%__install -m755 -pD %SOURCE1 %buildroot%_sbindir/installmemtest86
%__install -m644 -pD %SOURCE2 README.rover
%__mkdir cpus/
%__tar -C cpus -zxf %SOURCE3

%post
%_sbindir/installmemtest86 %version ||:

%preun
%_sbindir/installmemtest86 -r %version ||:

%files
/boot/memtest-%version.bin
%_sbindir/installmemtest86
%doc README* cpus/

# TODO: detectloader/installmemtest86 are somewhat broken at the time
# (bootloader misdetection, common problem w/kernel, shouldn't be called
# at install-time) (also #3317)

%changelog
* Wed Nov 26 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt7
- removed dependency on initscripts;
  thanks Nick Fedchik <nick fedchik org ua> for noticing

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt6
- updated patch by Andrey Liakhovets:
  AMD Athlon XP support, general cleanups

* Mon Oct 06 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt5
- updated patch by AL (now handles VIA C3 too); changed its company prefix
  from "alt" to "rover" as it should reflect the origin more properly
- added README.rover (see also #2648 history) and cpus/ to docs
- minor spec cleanup, TODO update

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 3.0-alt4
- added buildrequires to "fix" hasher build
- hopefully fixed #2648;
  thanks to Andrey Liakhovets <lyakhovetz rovercomputers ru>

* Thu Nov 28 2002 Michael Shigorin <mike@altlinux.ru> 3.0-alt3
- major bugfix: rolled back broken gcc3 build attempt, hardwired compat-gcc

* Fri Oct 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt2
- rebuild with gcc3

* Wed May 29 2002 Michael Shigorin <mike@altlinux.ru> 3.0-alt1
- new version

* Sat May 04 2002 Michael Shigorin <mike@altlinux.ru> 2.9-alt2
- 2.8-alt3 reverse fix somehow managed to pass by 2.9-alt1, so it just
  didn't update the bootsector.  Fixed; sorry for that :-(

* Sat Apr 13 2002 Michael Shigorin <mike@altlinux.ru> 2.9-alt1
- new version

* Thu Mar 28 2002 Michael Shigorin <mike@altlinux.ru> 2.8-alt3
- fixed post/preun scriptlets (installmemtest86 error handling by rpm)
- undone module search path "fix" in installmemtest86 (apparently broken by me)

* Tue Mar 26 2002 Michael Shigorin <mike@altlinux.ru> 2.8-alt2
- added missing PreReq: bootloader-utils

* Fri Nov 23 2001 Michael Shigorin <mike@altlinux.ru> 2.8-alt1
- alt1: 2.8a from memtest86.com
  spec synced with and install script borrowed from Mandrake Cooker src.rpm
  moved install script from /usr/share/loader/ to /usr/sbin
